# BEGIN SourceDeps(oneline):
BuildRequires: perl(Encode.pm) perl(Encode/JP.pm) perl(FindBin.pm) perl(List/Util.pm) perl(Module/Build.pm) perl(Term/ANSIColor.pm) perl(Test/More.pm) perl(Time/HiRes.pm) perl(autodie.pm)
# END SourceDeps(oneline)
%define module_name cli-rows-util
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.31
Release: alt1
Summary: Utiliites handling text stream segmented by "new line" characters.
Group: Development/Perl
License: gpl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/T/TU/TULAMILI/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
cli-rows-util


cli::rows::util - Utiliites handling text stream segmented by "new line" characters. 

After installed follwing CLIs (Command Line Interface) are available:

   expskip -- To see the text data on the 1, 10, 100, .. -th line 
   freq  -- Tabulate the frequency of each line (the appearance number table)
   sampler -- Randomy sample lines.
   shuffler -- Shuffle the lines 
   alluniq -- Verify whether all lines has different character string or how they are like.
   idmaker -- Assign sequence codes on each different line. 

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/c*

%files scripts
%_bindir/*
%_man1dir/*

%changelog
* Sat Mar 31 2018 Igor Vlasenko <viy@altlinux.ru> 0.31-alt1
- initial import by package builder

